package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.Date;

/**
 * 对应数据库表(music_group_school_term_course_detail):
 */
public class MusicGroupSchoolTermCourseDetail {

	/**  */
	private Integer id;
	
	/**  */
	private String musicGroupId;
	
	/** 开课日期 */
	private java.util.Date startCourseDate;
	
	/** 学期开始时间 */
	private java.util.Date startSchoolTerm;
	
	/** 学期截止时间 */
	private java.util.Date endSchoolTerm;
	
	/** 是否排课 */
	private boolean courseFlag;
	
	/** 可排课时长 */
	private Integer totalCourseTime;
	
	/**  */
	private java.util.Date updateTime;
	
	/**  */
	private java.util.Date createTime;

	/** 是否清空预排课 */
	private boolean cleanPreCourseFlag;

	public boolean getCleanPreCourseFlag() {
		return cleanPreCourseFlag;
	}

	public void setCleanPreCourseFlag(boolean cleanPreCourseFlag) {
		this.cleanPreCourseFlag = cleanPreCourseFlag;
	}

	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setMusicGroupId(String musicGroupId){
		this.musicGroupId = musicGroupId;
	}
	
	public String getMusicGroupId(){
		return this.musicGroupId;
	}

	public Date getStartCourseDate() {
		return startCourseDate;
	}

	public void setStartCourseDate(Date startCourseDate) {
		this.startCourseDate = startCourseDate;
	}

	public Date getStartSchoolTerm() {
		return startSchoolTerm;
	}

	public void setStartSchoolTerm(Date startSchoolTerm) {
		this.startSchoolTerm = startSchoolTerm;
	}

	public Date getEndSchoolTerm() {
		return endSchoolTerm;
	}

	public void setEndSchoolTerm(Date endSchoolTerm) {
		this.endSchoolTerm = endSchoolTerm;
	}

	public void setCourseFlag(boolean courseFlag){
		this.courseFlag = courseFlag;
	}
	
	public boolean isCourseFlag(){
		return this.courseFlag;
	}
			
	public void setTotalCourseTime(Integer totalCourseTime){
		this.totalCourseTime = totalCourseTime;
	}
	
	public Integer getTotalCourseTime(){
		return this.totalCourseTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
